curl --request GET \
--url https://api.withflex.com/v1/customers/{id}/payment_methods/{pm_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.withflex.com/v1/customers/{id}/payment_methods/{pm_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.withflex.com/v1/customers/{id}/payment_methods/{pm_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"payment_method": {
"payment_method_id": "fpm_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"billing_details": {
"address": {
"city": "San Francisco",
"country": "US",
"line1": "123 Main St",
"line2": "Suite 100",
"postal_code": "94107",
"state": "CA"
},
"email": "john.doe@example.com",
"name": "Example",
"phone": "+14155550142"
},
"customer": "fcus_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"metadata": {
"order_id": "8842",
"channel": "shopify"
},
"card": {
"brand": "american_express",
"country": "example_value",
"exp_month": 12,
"exp_year": 2027,
"funding": "credit",
"last4": "example_value"
},
"created_at": "2026-06-15T14:30:00Z",
"test_mode": false,
"off_session": false
}
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}{
"code": "string",
"detail": "string"
}Retrieve a customer's payment method
Retrieves a single payment method by ID for the specified customer.
Authorizations
Use a Bearer token to access this API.
Path Parameters
"fcus_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
"fpm_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
Query Parameters
A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.
-2147483648 <= x <= 214748364710
Number of objects to skip before returning results.
-2147483648 <= x <= 21474836473
Resolve payment methods for a customer owned by a sibling partner in the same organization (PII opt-in). Defaults to false; a sibling-owned customer returns 404 unless this is true and the caller shares an organization with the owner. A sibling-owned payment method's metadata is returned as null.
Response
An envelope wrapping a single payment method object.
An envelope wrapping a single payment method object.
The payment method.
Show child attributes
Show child attributes
{
"payment_method_id": "fpm_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"billing_details": {
"address": {
"city": "San Francisco",
"country": "US",
"line1": "123 Main St",
"line2": "Suite 100",
"postal_code": "94107",
"state": "CA"
},
"email": "john.doe@example.com",
"name": "Example",
"phone": "+14155550142"
},
"customer": "fcus_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"metadata": { "order_id": "8842", "channel": "shopify" },
"card": {
"brand": "american_express",
"country": "example_value",
"exp_month": 12,
"exp_year": 2027,
"funding": "credit",
"last4": "example_value"
},
"created_at": "2026-06-15T14:30:00Z",
"test_mode": false,
"off_session": false
}